Subject: Re: [PATCH v4 5/6] test-terminal: introduce --no-stdin-pty

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jun 2024 08:39:59 -0700

Jeff King <[email-masked]> writes:

> IMHO we should consider getting rid of it entirely. I think the only
> thing that uses it is t4153 (AFAICT it is luckily not racy because it
> does not actually read stdin, but only checks isatty).

Sounds like a better approach than piling another workaround on the
test helper.  Reading the old discussion, we seem to have been in
agreement that we generally do not have to insist reading from a tty
and certainly the "add -p" codepath is not one of those "if your
other payload must come from the standard input, your instructions
to specify how to handle that data needs to come from elsewhere, and
that is /dev/tty" cases.

Thanks.